% \documentclass[noanswers, nolegalese, 11pt]{examjh}
\documentclass[answers, nolegalese, 11pt]{examjh}
\usepackage{../../../../computingfonts}
\usepackage{../../../../contentmacros}

\usepackage{listings}
\lstset{basicstyle=\small\ttfamily,
  keepspaces=true,
  columns=fullflexible}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\pagestyle{empty}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{Questions for Two.V\hfill  From \textit{Theory of Computation}, by Hef{}feron}\vspace{-1ex}
\makebox[\textwidth]{\hbox{}\hrulefill\hbox{}}

\begin{questions}
\question 
Show that each of these problems is unsolvable,
by reducing it to the \HP.
\begin{parts}
\part Given $e$, does $\TM_e$ halt on $5$?
\part Given $e$, does $\TMfcn_e(4)$ converge and equal $7$?
\part Given $e$, does $\TMfcn_e(a)$ converge and equal $a^2$?
\end{parts}
\end{questions}
\end{document}
